/* worksheetStyles.css
REWRITE!!!!!!!!!!!!!!!!!!
*/

#mainDisplayElements {
  display: flex;
  flex-direction: column;
}

.exampleProb {
  white-space: nowrap;
}

.exampleProb > p {
  margin-left: 1em;
  margin-right: 1em;
}

#codeLabelAndChange > p > button {
  font-size: 70%;
}

#codeLabelAndChange > p {
  font-size: 70%;
  margin-top: 0;
  margin-left: 0;
}

.requiredField {
  color: red;
}

#noCodeErrorMsg {
  color: red;
}

#codeContainer {
  width: 3em;
  background-color: #aaaaaa;
  border: none;
  font-size: 90%;
}

.defaultCode > #codeContainer {
  display: none;
}

#score {
  font-size: 250%;
  width: 3em;
}

.answerEntryArea {
  autocomplete: off;
  autocorrect: off;
  autocapitalize: off;
}

.richEdit {
  display: inline-block;
  position: relative;
  width: min-content;
}

.triggerMathJax {
  position: absolute;
  padding: 2px;
  top: 0;
  right: 0;
  font-size: 60%;
}

.backnav.review { visibility: hidden; }
.backnav.grading { visibility: hidden; }

div.study#title { order: 1; }
div.study#generalIntro { order: 2; }
div.study#problemStatementA { order: 3; }
div.study#introTrailer1 { order: 4; }
div.study#partIntro { order: 5; }
div.study#problemStatementB { order: 6; }
div.study#introTrailer2 { order: 7; }
div.study#questionList { order: 8; }
div.study#notes { order: 9; }
div.study#returnNotes { display: none; }
div.study#teamInfo { order: 10; }
div.study#scoreSection { display: none; }
div.study#submitControl { order: 11; }

div.grading#teamInfo { order: 1; }
div.grading#notes { order: 2; }
div.grading#title { order: 3; }
div.grading#generalIntro { display: none; }
div.grading#introTrailer1 { display: none; }
div.grading#problemStatementA { order: 4; }
div.grading#problemStatementA #changeProblem { display: none; }
div.grading#problemStatementB { order: 5; }
div.grading#introTrailer2 { display: none; }
div.grading#questionList { order: 6; }
div.grading#returnNotes { order: 7; }
div.grading#scoreSection { order: 8; }
div.grading#submitControl { order: 9; }

div.review#title { order: 5; }
div.review#generalIntro { display: none; }
div.review#introTrailer1 { display: none; }
div.review#introTrailer2 { display: none; }
div.review#problemStatementA { order: 6; }
div.review#problemStatementB { order: 7; }
div.review#questionList { order: 8; }
div.review#teamInfo { order: 2; }
div.review#notes { order: 3; }
div.review#returnNotes { order: 4; }
div.review#scoreSection { order: 1; }
div.review#submitControl { display: none; }
div.review #codeLabelAndChange { display: none; }
